net.sourceforge.pmd.cpd

## Class GUI

- java.lang.Object
- - net.sourceforge.pmd.cpd.GUI

All Implemented Interfaces:
  CPDListener

    public class GUI
    extends Object
    implements CPDListener

### Field Summary

### Fields inherited from interface net.sourceforge.pmd.cpd.CPDListener

`DONE, GROUPING, HASH, INIT, MATCH`

### Constructor Summary

Constructors
Constructor and Description
`GUI()`

### Method Summary

Methods
`void` `addedFile(int fileCount, File file)`
`String` `getPhaseText(int phase)`
`static void` `main(String[] args)`
`void` `phaseUpdate(int phase)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GUI

    public GUI()

### Method Detail

#### phaseUpdate

    public void phaseUpdate(int phase)

Specified by:
  `phaseUpdate` in interface `CPDListener`

#### getPhaseText

    public String getPhaseText(int phase)

#### addedFile

    public void addedFile(int fileCount,
                 File file)

Specified by:
  `addedFile` in interface `CPDListener`

#### main

    public static void main(String[] args)